Subject: Re: [PATCH] net: phy: at803x: Add support to control PHY LEDs

From: Vishal Thanki <[email-masked]>
Date: Thu, 17 Mar 2016 19:07:12 +0100

> 
> They might not be on/off controllable individually, but you can often
> set them to show Packet RX, Packet TX, Link, speed, etc, in a
> reasonably flexible way. So you could have LED triggers mapping to
> these functionalities. The user can then pick the trigger for the LED.
> 
> Actually, the data sheet says:
> 
> 2.3.4 LED Interface
> 
> The LED interface can either be controlled by the PHY or controlled
> manually, independent of the state of the PHY. Two status LEDs are
> available. These can be used to indicate operation speed, and link
> status. The LEDs can be programmed to different status functions from
> their default value. They can also be controlled directly from the MII
> register interface.
> 
> So maybe you can control the on/off state.
> 

I need to explore more on LED subsystem. Thank you for your suggestions
and input.

Thanks,
Vishal

>    Andrew